:root {
    --sidebar-width: 10em;
}

body {
    margin: 0;
    font-family: sans-serif;
}

#banner {
    position: fixed;
    margin: 0;
    height: 3em;
    top: 0;
    width: 100vw;
    left: 0;
    overflow: hidden;
    display: flex;
    align-items: center;

    background-color: royalblue;
}

#banner > h1 {
    margin: 0 1em 0 1em;
    color: white;
    font-size: clamp(0.5em, 6vw, 2em);
}

#side-bar {
    display: none;
}

@media (min-width: 40em) {
    #side-bar {
        display: block;
        position: fixed;
        top: 3em;
        height: calc(100vh - 3em);
        left: 0;
        width: var(--sidebar-width);
        overflow-y: auto;
        overflow-x: hidden;

        padding: 0.5em;
    }
}

#content {
    position: fixed;
    top: 3em;
    height: calc(100vh - 3em);
    left: 0;
    width: 100vw;
    overflow-y: auto;
    overflow-x: hidden;

    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

@media (min-width: 40em) {
    #content {
        left: var(--sidebar-width);
        width: calc(100vw - var(--sidebar-width));
    }
}

#content > a {
    text-decoration: none;
    color: inherit;
}

.category > a {
    text-decoration: none;
    color: inherit;
}

.game-product {
    display: block;
    margin: 1em;
    border-radius: 1.5em;
    padding: 1.5em;

    width: 25em;

    border: 0.125em solid black;

    content: "";
    display: table;
    clear: both;
}
a.game-product:hover {
    background-color: lightgray;
}
.game-product > img {
    float: left;
    margin-right: 1em;
}
.game-product > ul {
    text-align: left;
}

.card-back {
    height: 11.25em;
    width: 8.25em;
}

.section {
    margin: 0.5em;
    border-radius: 1.5em;
    background-color: white;
    width: calc(100% - 2em);
    border: 0.125em solid black;
    padding: 0 0.5em;

    display: flex;
    flex-direction: column;
    align-items: center;
}

.sub-section {
    margin: 0.5em;
    border-radius: 1.5em;
    border: 0.125em solid black;
    background-color: white;
    padding-left: 0.5em;
    padding-right: 0.5em;

    width: 60%;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.sub-section > ul {
    text-align: left;
    width: 80%;
}
.sub-section > img {
    float: left;
    margin-right: 1em;
}

.actions {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start;
}
.actions > a {
    text-decoration: none;
    color: inherit;
}

.action {
    margin: 1em;
    border-radius: 1.5em;
    padding: 0.5em 1.5em;
    width: 10em;
    border: 0.125em solid black;

    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}
a > .action:hover {
    background-color: lightgray;
}

.action > h3 {
    margin: 0.5em 0;
}

.category-banner > h1 {
    margin: 0.5em;
}

.category {
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start;
}

.bottom-spacer {
    width: 100%;
    background-color: white;
    color: white;
}
.bottom-spacer > div {
    height: 7em;
}

.coming-soon {
    color: darkred;
    font-style: italic;
}
